function y=champuls(u)

% Fonction calculant le chmp puls estm, pour simuler l'appreillage
% de mesure du champ avec arrt des bobines et utilisation d'un champ
% mmoris ainsi que sa drive

% Variables d'entre
%	t le temps de la simulation

t=u(1);

%	u le vecteur colonne des 3 composantes du champ en axes satellite

B(1:3)=u(2:4);
B=B';

Ta=1;                 % temps d'arrt des bobines
Tu=10;                % Temps utile de fonctionnement avec champ mmoris

T=Ta+Tu;              % Priode du pulse

n=fix(t/T);          % Nime priode

t0=n*T+Ta/2;          % Centre du crneau de mesure


while abs((t-t0))<Ta/2              % Slection de la valeur champ mesure
 
   y=B(1:3);
 
end        

Bmesure=y;

save B_mesure n Bmesure;

end
   